package cgl.axis.services.WSCTX.wsctx_service;
/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */

import java.util.Properties;

/**
 * BootStrap.java
   BootStap file to help with loading properties classes
   @author Mehmet Aktas
   $Date$
   $Revision$
 */

public class BootStrap {

  /**
   * Loads configuration file. File may require modification before running samples.
   *
   * @return Loaded properties object
   */
  public static Properties load(String file_name) {
    Properties config = new Properties();
    try {
      config.load(new java.io.FileInputStream(file_name));
    }
    catch (Exception e) {
      System.out.println("Error loading samples property file\n" + e);
    }
    // WS_ContextManager WSDL
    if (System.getProperty("wsctxWSDL") == null) {
      if (config.getProperty("wsctxWSDL") != null) {
        System.setProperty("wsctxWSDL", config.getProperty("wsctxWSDL"));
      }
    }

    // Publishing WSDL
    if (System.getProperty("publishWSDL") == null) {
      if (config.getProperty("publishWSDL") != null) {
        System.setProperty("publishWSDL", config.getProperty("publishWSDL"));
      }
    }

    // Inquiry WSDL
    if (System.getProperty("inquiryWSDL") == null) {
     if (config.getProperty("inquiryWSDL") != null) {
       System.setProperty("inquiryWSDL", config.getProperty("inquiryWSDL"));
     }
    }

    // extented UDDI WSDL
    if (System.getProperty("extensionWSDL") == null) {
     if (config.getProperty("extensionWSDL") != null) {
       System.setProperty("extensionWSDL", config.getProperty("extensionWSDL"));
     }
    }

    // extented UDDI WSDL
    if (System.getProperty("securityWSDL") == null) {
     if (config.getProperty("securityWSDL") != null) {
       System.setProperty("securityWSDL", config.getProperty("securityWSDL"));
     }
    }

    return config;
  }
}
