package cgl.axis.services.WSCTX.wsctx_service;

/**
 * Software License, Version 1.0
 *
 * Copyright 2003 The Trustees of Indiana University.  All rights reserved.
 *
 *
 *Redistribution and use in source and binary forms, with or without
 *modification, are permitted provided that the following conditions are met:
 *
 *1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 *2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 *3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 *
 *"This product includes software developed by the Community Grids Lab. For
 * further information contact the Community Grids Lab at
 * http://communitygrids.iu.edu/."
 *
 * Alternatively, this acknowledgement may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 *
 *4) The name Indiana University or Community Grids Lab,
 * shall not be used to endorse or promote products derived from this software
 * without prior written permission from Indiana University.  For written
 * permission, please contact the Advanced Research and Technology Institute
 * ("ARTI") at 351 West 10th Street, Indianapolis, Indiana 46202.
 *
 *
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of
 * any other entity.  Indiana University disclaims any liability to any
 * recipient for claims brought by any other entity based on infringement of
 * intellectual property rights or otherwise.
 *
 *LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 *WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 *NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 *INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 *INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 *"VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 *LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 *ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 *GENERATED USING SOFTWARE.
 */

import cgl.axis.services.WSCTX.wsctx_schema.*;
import cgl.axis.services.WSCTX.wsrm_schema.*;
import java.util.Properties;

/**
   A simple native client of WS-ContextManager
   @author Mehmet Aktas
   $Date$
   $Revision$
 */


public class WSContextExample {

  public static Properties bootstrap = null;

  public static cgl.axis.services.WSCTX.wsctx_service.stubs.ContextManagerPortType context_manager = null;

  public static void main(String args[]) {
    WSContextExample app = new WSContextExample();
    System.out.println(
        "\n*********** Running WSContextExample ***********");
    // load config and data files
    bootstrap = BootStrap.load("wsctx_bootstrap.prop");

    try {

        cgl.axis.services.WSCTX.wsctx_service.stubs.ContextManagerPortTypeSoapBindingStub binding;
        try {
            cgl.axis.services.WSCTX.wsctx_service.stubs.ContextManagerPortTypeServiceLocator
                    locator = new cgl.axis.services.WSCTX.wsctx_service.stubs.ContextManagerPortTypeServiceLocator();
            locator.setContextManagerPortTypeEndpointAddress(bootstrap.getProperty("wsctxWSDL"));
            binding = (cgl.axis.services.WSCTX.wsctx_service.stubs.ContextManagerPortTypeSoapBindingStub)
                          locator.getContextManagerPortType();
        }
        catch (javax.xml.rpc.ServiceException jre) {
            if(jre.getLinkedCause()!=null)
                jre.getLinkedCause().printStackTrace();
            throw new junit.framework.AssertionFailedError("JAX-RPC ServiceException caught: " + jre);
        }
        // set time out after a minute
        binding.setTimeout(60000);

        //TESTING SetContents FUNCTION

        //create a SetContents Object
        cgl.axis.services.WSCTX.wsctx_schema.SetContents setcontents =
            new cgl.axis.services.WSCTX.wsctx_schema.SetContents();

        //create a context
        cgl.axis.services.WSCTX.wsctx_schema.ContextType contexttype =
            new cgl.axis.services.WSCTX.wsctx_schema.ContextType();

        //set context manager service
        cgl.axis.services.WSCTX.wsrm_schema.ServiceRefType context_manager_serviceref_type =
            new cgl.axis.services.WSCTX.wsrm_schema.ServiceRefType();
        context_manager_serviceref_type.setName(
          bootstrap.getProperty("wsctxWSDL"));
        contexttype.setContextManager(context_manager_serviceref_type);

        //set context responded service address
        cgl.axis.services.WSCTX.wsrm_schema.ServiceRefType context_service_serviceref_type =
            new cgl.axis.services.WSCTX.wsrm_schema.ServiceRefType();
        context_service_serviceref_type.setName(
          bootstrap.getProperty("wsctxRespondWSDL"));
        contexttype.setContextService(context_service_serviceref_type);

        //set context uri
        String context_uri = "context://test/test1";
        cgl.axis.services.WSCTX.wsctx_schema.ContextIdentifierType identifiertype =
            new cgl.axis.services.WSCTX.wsctx_schema.ContextIdentifierType();
        identifiertype.setValue(new org.apache.axis.types.URI(context_uri));
        contexttype.setContextIdentifier(identifiertype);

        //set context data
        String [] data = new String [1];
        data[0] = "data here";
        contexttype.setMessageElement(data);

        //set a ContextType into SetContents Object
        setcontents.setContext(contexttype);

        //setContents operation
        binding.setContents(setcontents);

        //TESTING GetContents FUNCTION

        //create a GetContents Object
        cgl.axis.services.WSCTX.wsctx_schema.GetContents getcontents =
            new cgl.axis.services.WSCTX.wsctx_schema.GetContents();

        //set the identifier of the Context in demand
        identifiertype = new cgl.axis.services.WSCTX.wsctx_schema.ContextIdentifierType();
        identifiertype.setValue(new org.apache.axis.types.URI(context_uri));
        contexttype.setContextIdentifier(identifiertype);

        //set the ContextType object into getContents
        getcontents.setContext(contexttype);

        // getContents operation
        binding.getContents(getcontents);
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

}
